// Linear Feedback Shift Register
{
    var reg;
    if (argument_count > 0) reg = argument[0];
    
    var old, new;
    for (var i=0; i<8; i++) old[i] = ((reg >> i) & 1);

    new[0] = old[7] ^ old[5] ^ old[4] ^ old[3];
    new[1] = old[0];
    new[2] = old[1];
    new[3] = old[2];
    new[4] = old[3];
    new[5] = old[4];
    new[6] = old[5];
    new[7] = old[6];
    
    reg = 0;
    for (var i=0; i<8; i++) reg |= (new[i] << i);
    
    return reg;
}